﻿
var tablesAndCharts_main =
{
  "Tables": [
    "WealthSummary",
    "PropertyAssetSummary",
    "Cash flows"
  ],
  "Charts": [
    "WealthSummary\\Assets and Loans",
    "WealthSummary\\Assets Distribution",
    "CashReserveSummary\\Balance",
    "BuildSuperSummary\\Concessional"
  ]
};
var tablesAndCharts =
{
  "Tables": [
    "Cash flows (detailed)",
    "Insurance premiums summary",
    "ConsolidatedWealthSummaryReportIndividual",
    "Co-contributions",
    "Tax",
    "TrustSummary",
    "TrustBeneficiarySummary",
    "TrustOrCompanySummary",
    "PortfolioTrustOrCompany",
    "PortfolioTrustOrCompanyDetailed",
    "TrustOrCompanyDistribution",
    "TrustOrCompanyDistributionDetails",
    "TaxDistributionTrustOrCompany",
    "TrustOrCompanyDetailsPerBeneficiary",
    "TrustOrCompanyTaxDistributionDetails",
    "PortfolioSMSFBalances",
    "IndividualPortfolioBalanceSMSF",
    "SMSFCashSummary",
    "SMSFSummary",
    "SMSFMemberBalance"
  ],
  "Charts": [
    "WealthSummary\\Assets and Loans",
    "WealthSummary\\Assets Distribution",
    "CashReserveSummary\\Balance",
    "BuildSuperSummary\\Concessional",
    "TrustSummary\Trust Assets and Loans",
    "TrustSummary\Trust Assets Distribution",
    "TrustBeneficiarySummary\Gifts Income",
    "SMSFSummary\SMSF Assets and Loans",
    "SMSFSummary\SMSF Assets Distribution",
    "SMSFMemberSummary\SMSF Member Balance",
    "SMSFCashSummary\SMSF Cash Balance",
    "SMSFSharesSummary\Balance",
    "SMSFSharesSummary\Purchased Sold",
    "SMSFPropertySummary\Value and Loan balance",
    "SMSFPropertySummary\Income vs Expenses",
    "SMSFFixedInterestSummary\Balance",
    "SMSFFixedInterestSummary\InvestmentsPayments"
  ]
};

var sampleCase = {
    "Version": 18,
    "Base data": [
        {
            "$id": "Version\\18"
        },
        {
            "$id": "Plan request\\Plan request",
            "General": {
                "Case id": "1004389",
                "Case name": "DEMO Robert and Alice",
                "Financial planner": "Seyed Davarpanah",
                "Service": "Strategy only",
                "Default reference year": "2021/22",
                "Default scenario start date": "2021-07-01 00:00:00Z"
            },
            "Financial planner information": {
                "First name": "Seyed",
                "Last name": "Davarpanah",
                "Email address": "davarpanah1978+2000@gmail.com"
            },
            "Organisation information": {
                "Organisation number": "9",
                "Name": "ere"
            }
        },
        {
            "$id": "Case notes\\Case notes",
            "Sensitivities": {
                "Sensitivity 1": "Do not run",
                "Sensitivity 2": "Do not run",
                "Sensitivity 3": "Do not run",
                "Sensitivity 4": "Do not run",
                "Sensitivity 5": "Do not run",
                "Sensitivity 6": "Do not run",
                "Sensitivity 7": "Do not run"
            }
        },
        {
            "$id": "Keep a cash reserve\\Cash reserve"
        },
        {
            "$id": "Strategy\\Final Strategy"
        },
        {
            "$id": "Individual\\Robert Demo",
            "Personal details": {
                "Title": "Mr",
                "First name": "Robert",
                "Last name": "Demo",
                "Birth date": "1966-01-03 00:00:00Z",
                "Pension age": 67,
                "Preservation age": 60,
                "Sex": "Male",
                "Marital status": "Married",
                "Partner": "Individual\\Alice Demo",
                "Risk profile": "Balanced",
                "Super withdrawal status at age 60": "Pro rata",
                "Unused concessional contributions cap 2020/21": 16618,
                "Unused concessional contributions cap 2021/22": 16782,
                "Unused concessional contributions cap 2022/23": 19943
            },
            "Contact details": {
                "Street": "1 Sample St",
                "Suburb": "Brisbane",
                "State": "QLD",
                "Country": "Australia",
                "Postcode": "4000",
                "Home phone": "07 0000 0000",
                "Work phone": "07 1111 1111",
                "Mobile phone": "0000 0000 0000",
                "Email address": "robert@demoemail.com.au"
            },
            "Employment details": {
                "Occupation": "Teacher",
                "Employer": "High School",
                "Employment type": "Full time"
            },
            "Health details": {
                "State of health": "Excellent",
                "Private health insurance": 1,
                "Existing conditions": "None",
                "Health issues": "None"
            },
            "Estate planning details": {
                "Current will": 1,
                "Date of will/Last reviewed date": "2019-08-01 00:00:00Z",
                "Power of attorney": 1,
                "Attorney date": "2019-08-01 00:00:00Z"
            },
            "Aged care": {
                "When assessment is made": "Both partners are at home",
                "Eligible for government assistance": "Not set"
            },
            "Actions": {
                "Allow transition to retirement": "Optimise",
                "Allow spouse super splitting": "No",
                "Allow carry forward of unused concessional cap": "Optimise"
            }
        }]
};

var legacyCase = {
    "people": {
        "individuals": [
            {
                "id": 1,
                "name": "Jacob Demo",
                "title": "Mr",
                "firstName": "Jacob",
                "lastName": "Demo",
                "birthDate": "1980-01-05T04:22:57.510Z",
                "sex": "Male",
                "maritalStatus": "Married",
                "partnerId": 2,
                "riskProfile": "Balanced",
                "employmentType": "FullTime"
            },
            {
                "id": 2,
                "name": "Claire Demo",
                "title": "Mrs",
                "firstName": "Claire",
                "lastName": "Demo",
                "birthDate": "1985-06-07T04:22:57.510Z",
                "sex": "Female",
                "maritalStatus": "Married",
                "partnerId": 1,
                "riskProfile": "Balanced",
                "employmentType": "Casual"
            }
        ],
        "dependants": [
            {
                "id": 3,
                "name": "Trimothy Demo",
                "firstName": "Trimothy",
                "lastName": "Demo",
                "sex": "Female",
                "parentForBenefitsId": 1,
                "birthDate": "2014-03-06T04:22:57.510Z"
            }
        ]
    },
    "entities": {
        "smsfs": [
            {
                "id": 15,
                "name": "Some SMSF",
                "members": [
                    {
                        "memberId": 1,
                        "accumulationPhaseBalance": 1000,
                        "accumulationPhaseTaxFreeAmount": 9999,
                        "pensionPhaseBalance": 9999999999
                    }
                ],
                "fees": {
                    "administrationFee": 5000,
                    "auditFee": 3000
                }
            }
        ],
        "superannuations": [
            {
                "id": 4,
                "name": "My care super",
                "ownerId": 1,
                "accumulationPhaseTaxFreeAmount": 1000,
                "fees": {
                    "pensionEstablishmentFee": 10
                }
            }
        ],
        "trusts": [
            {
                "id": 5,
                "name": "Trust 1",
                "type": "DiscretionaryTrust",
                "beneficiaries": [
                    {
                        "beneficiaryId": 1
                    }
                ],
                "fees": {
                    "administrationFee": 10
                }
            },
            {
                "id": 6,
                "name": "Trust 2",
                "type": "UnitTrust",
                "beneficiaries": [
                    {
                        "beneficiaryId": 1,
                        "ownershipPercent": 30
                    },
                    {
                        "beneficiaryId": 2,
                        "ownershipPercent": 40
                    }
                ],
                "fees": {
                    "administrationFee": 100
                }
            }
        ]
    },
    "cashflows": {
        "incomes": [
            {
                "id": 7,
                "name": "Trading income",
                "ownerId": 1,
                "type": "Business",
                "amount": {
                    "value": 2000,
                    "frequency": "Week"
                }
            }
        ],
        "expenses": [
            {
                "id": 8,
                "name": "Living expense",
                "ownerId": 2,
                "type": "LivingExpenses",
                "amount": 1500
            },
            {
                "id": 9,
                "name": "Rental expense",
                "ownerId": 1,
                "type": "RentalExpenses",
                "amount": 2000
            }
        ],
        "insurances": [
            {
                "id": 10,
                "name": "Insurance for Jacob",
                "type": "IncomeProtection",
                "policyHolderId": 1,
                "payeeId": 1,
                "premium": 3
            }
        ]
    },
    "assets": {
        "properties": [
            {
                "id": 11,
                "name": "Holiday destination",
                "ownership": [
                    {
                        "ownerId": 15,
                        "percentStake": 100
                    }
                ],
                "value": 5000000,
                "purchasePrice": 2000000,
                "type": "CommercialProperty",
                "purchaseDate": "2018-11-06T04:22:57.511Z",
                "incomeOrExpenses": {
                    "rent": {
                        "dollars": {
                            "value": "200",
                            "frequency": "weekly"
                        },
                        "percentage": 5
                    },
                    "runningExpenses": {
                        "dollars": 5000,
                        "percentage": 2
                    }
                }
            }
        ],
        "familyHomes": [
            {
                "id": 12,
                "name": "Family home",
                "ownership": [
                    {
                        "ownerId": 1,
                        "percentStake": 40
                    },
                    {
                        "ownerId": 2,
                        "percentStake": 60
                    }
                ],
                "value": 5000000,
                "purchasePrice": 300000,
                "type": "House"
            }
        ],
        "sharesOrManagedFunds": [
            {
                "id": 13,
                "name": "Shares ouside super",
                "ownership": [
                    {
                        "ownerId": 2,
                        "percentStake": 30
                    }
                ],
                "type": "Balanced",
                "percentIncomeReinvested": 10,
                "balance": 500000,
                "purchaseDate": "2018-11-06T04:22:57.511Z",
                "purchasePrice": 2000
            },
            {
                "id": 14,
                "name": "Some shares inside trust",
                "ownership": [
                    {
                        "ownerId": 5,
                        "percentStake": 100
                    }
                ],
                "type": "Balanced",
                "percentIncomeReinvested": 20,
                "balance": 5000880,
                "purchaseDate": "2018-11-06T04:22:57.511Z",
                "purchasePrice": 12321
            }
        ],
        "cashes": [
            {
                "id": 16,
                "name": "Cash inside trust",
                "ownership": [
                    {
                        "ownerId": 6,
                        "percentStake": 100
                    }
                ],
                "balance": 1000000,
                "interestRate": 3.2
            }
        ]
    },
    "liabilities": {
        "helpDebts": [
            {
                "id": 17,
                "name": "Help DEBT",
                "ownerId": 2,
                "balance": 500
            }
        ],
        "securedLoans": [
            {
                "id": 18,
                "name": "Secured loan",
                "type": "InterestOnly",
                "securedById": 11,
                "financingId": 11,
                "remainingLoanTerm": 10,
                "balance": 50,
                "minimumRepayment": 30,
                "interestRate": 2,
                "offsetAccountBalance": 1002
            }
        ],
        "unsecuredLoans": [
            {
                "id": 19,
                "name": "Unsecured loan",
                "type": "PrincipalAndInterest",
                "remainingLoanTerm": 4,
                "balance": 10,
                "borrowerId": 1,
                "minimumRepayment": 5,
                "interestRate": 3
            }
        ]
    }
}

