﻿var _uuid = '';
var _baseUrls = ["https://app.optimopathfinder.com.au",
    "https://sandbox.optimopathfinder.com.au",
    "http://localhost:54821"];
var _baseUrl = '';

$(document).ready(function () {
    OnEnvironmentChanged();
    $("#resulttable, #resultjson, resultchart").hide();
    $('ul li').on('click', function () {
        var tab = $(this).attr('data-id');
        OnTabSelect(tab);
    });
    OnTabSelect('login');
});

function OnEnvironmentChanged() {
    _baseUrl = _baseUrls[parseInt($('#environment').val())];
}

function OnTabSelect(tab) {
    $("#resulttable, #resultjson").hide();
    $("#resultjson").html('');
    $('#errorframe').hide();
    $("#resultchart").attr('src', '');
    $('#pageselect li').each(function () {
        if ($(this).attr('data-id') == tab)
            $(this).addClass('active');
        else
            $(this).removeClass('active');
    });

    $('div.tab-content').each(function (n, el) {
        if (el.id == tab)
            $(el).show();
        else
            $(el).hide();
    });
}

// LOGIN
function OnLogin() {
    var email = $('#email').val();
    var password = $('#password').val();
    $("#loginmessage").html("...");
    $("#sessionguid").html("");
    $("#apiresult").html("");
    $('#errorframe').hide();
    $("#resultjson").hide();
    $.ajax({
        url: _baseUrl + '/Service/Login?id=' + _uuid,
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify({ email: email, password: password }),
        dataType: 'json',
        success: function (result) {
            if (!result.Success) {
                $("#loginmessage").html(result.Message);
            }
            else {
                _uuid = result.Uuid;// Used for all other calls
                $("#loginmessage").html("Success");
                $("#sessionguid").val(result.Uuid);
            }
        },
        error: ErrorHandler
    });
}

// CASES
function OnGetCases() {
    var filter = '';
    OnGetJson('/service/getcases', {
        filter: filter
    });
}

function OnSetCase(caseid) {
    var caseId = $('#caseid').val();
    OnGetJson('/service/setcase', { caseId: caseId });
}

// SCENARIOS
function OnGetScenarios() {
    OnGetJson('/service/getscenarios', {});
}


// STRATEGY SUMMARY
function OnGetAssumptions() {
    var guid = $('#scenarioguid').val();
    OnGetJson('/service/getassumptionsreport', {
        scenarioGuid: guid
    });
}

function OnGetSummary() {// Test 2
    var guid = $('#scenarioguid').val();
    OnGetJson('/service/getsummaryreports', {
        scenarioGuid: guid
    });
}

function OnGetChartData() {// Test 3
    var guid = $('#scenarioguid').val();
    var chart = $('#chartname').val();
  var reportPath = $('#reportPath').val();
    OnGetJson('/service/getchartrawdata', {
        scenarioGuid: guid,
      chart: chart,
      reportPath: reportPath
    });
}

function OnGetActionItems() {// Test 4
    var guid = $('#scenarioguid').val();
    OnGetJson('/service/getactionitems', {
        scenarioGuid: guid
    });
}

function OnRenderChart(url, data) {// Not used!
    $("#resulttable, #resultjson").hide();
    $("#resultchart").show();
    var guid = $('#scenarioguid').val();
    var strategy = $('#strategypath').val();
    var chart = $('#chartpath').val();
    $("#resultchart").attr("src",
        '/Report/GetChart?guid=' + encodeURIComponent(guid) +
        '&chart=' + encodeURIComponent(chart) +
        '&strategy=' + encodeURIComponent(strategy) + '&w=1000&h=800');
}


// DETAILED REPORTS
function OnGetReportTree() {// Test 5
    var guid = $('#scenarioguid').val();
    OnGetJson('/service/getreporttree', {
        scenarioGuid: guid
    });
}

function OnGetReport() {// Test 6
    var guid = $('#scenarioguid').val();
    var reportpath = $('#reportpath').val();
    OnGetJson('/service/getreport', {
        scenarioGuid: guid,
        reportpath: reportpath
    });
}

// INPUT API
function OnPushCase() {// Test 7
    var caseId = $('#newcaseid').val();
    var url = '/service/pushcase';
    var args = (caseId) ? '&caseId=' + caseId : '';
    var data = JSON.parse($("#resultjson").html().replaceAll("\\", "\\\\"));
    OnGetJson(url, data, args);
}

function OnLoadSampleCase() {
    $("#resultjson").show().html(JSON.stringify(sampleCase, null, 2));
    $("#apiresult").html("Sample case loaded.");
}

function OnGetExistingCase() {// Test 8
    OnGetJson('/service/getbasecase');
}

function OnGetYaml() {
    window.location = _baseUrl + "/service/getyaml?id=" + _uuid;
}

// OUTPUT API
function OnGetReportList() {// Test 9
    OnGetJson('/service/getreportlist');
}

function OnGetReportDataFromList() {// Test 10
    var guid = $('#scenarioguid').val();
    var data = JSON.parse($("#resultjson").html());
    data.scenarioGuid = guid;
    OnGetJson('/service/GetDataFromReportList', data);
}

function OnLoadSampleReports() {
    $("#resultjson").show().html(JSON.stringify(tablesAndCharts, null, 2));
    $("#apiresult").html("Sample list of reports loaded.");
}

function OnGetStrategyPaper() {// Test 12
    var caseId = $('#caseid').val();
    var guid = $('#scenarioguid').val();
    window.location = _baseUrl + "/service/getstrategypaper?caseId=" + caseId +
        "&scenarioGuid=" + guid + "&id=" + _uuid;
}

// LEGACY API
function OnLoadLegacySampleCase() {
    $("#resultjson").show().html(JSON.stringify(legacyCase, null, 2));
    $("#apiresult").html("Sample legacy case loaded.");
}

function OnPushLegacyCase() {
    var url = '/service/pushlegacycase';
    var data = JSON.parse($("#resultjson").html());
    OnGetJson(url, data);
}

function OnGetLegacyCase() {
    var guid = $('#scenarioguid').val();
    OnGetJson('/service/getlegacycase', {
        scenarioGuid: guid
    });
}


// HELPERS
function OnGetJson(url, data, args) {
    $("#resultjson").show().html("Loading...");
    $("#resulttable, #resultchart").hide();
    $("#apiresult").html("");
    $('#errorframe').hide();
    var u = _baseUrl + url + '?id=' + _uuid;
    if (args)
        u += args;
    $.ajax({
        url: u,
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(data),
        dataType: 'json',
        success: SuccessHandler,
        error: ErrorHandler
    });
}

function SuccessHandler(result) {
    $('#errorframe').hide();
    $("#resultjson").html(JSON.stringify(result, null, 2).replaceAll("\\\\", "\\"));
    $("#apiresult").html("Success");
}

function ErrorHandler(xhr, exception) {
    var msg = '';
    if (xhr.status === 0) {
        msg = 'Not connect.\n Verify Network.';
    } else if (xhr.status == 401) {
        try {
            msg = JSON.parse(xhr.responseText);
        } catch (e) {
            msg = xhr.responseText;// Can be HTML
            $('#resultjson').hide();
            $('#errorframe').show().contents().find('html').html(msg);
            return;
        }
    } else if (xhr.status == 404) {
        msg = 'Requested page not found. [404]';
    } else if (xhr.status == 500) {
        msg = 'Internal Server Error [500].';
    } else if (exception === 'parsererror') {
        msg = 'Requested JSON parse failed.';
    } else if (exception === 'timeout') {
        msg = 'Time out error.';
    } else if (exception === 'abort') {
        msg = 'Ajax request aborted.';
    } else {
        msg = 'Uncaught Error.\n' + xhr.responseText;
    }
    $('#errorframe').hide();
    $('#resultjson').show().html(msg);
    $("#apiresult").html("Failed");
}


